Freeciv-3.3: /fast/freeciv/nightly/main/client/clitreaty.c File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Functions
clitreaty.c File Reference
`#include "shared.h"`
`#include "diptreaty.h"`
`#include "client_main.h"`
`#include "diplodlg_g.h"`
`#include "clitreaty.h"`

Go to the source code of this file.

## Functions

void | client_init_meeting (int counterpart, int initiated_from)
void | client_recv_accept_treaty (int counterpart, bool I_accepted, bool other_accepted)
void | client_recv_cancel_meeting (int counterpart, int initiated_from)
void | client_recv_create_clause (int counterpart, int giver, enum clause_type type, int value)
void | client_recv_remove_clause (int counterpart, int giver, enum clause_type type, int value)

## Function Documentation

## ◆ client_init_meeting()

void client_init_meeting | ( | int | counterpart,
|  | int | initiated_from
| ) |  |

Handle new meeting request.

Definition at line 33 of file clitreaty.c.

Referenced by handle_diplomacy_init_meeting().

## ◆ client_recv_accept_treaty()

void client_recv_accept_treaty | ( | int | counterpart,
|  | bool | I_accepted,
|  | bool | other_accepted
| ) |  |

Handle server information about treaty acceptance.

Definition at line 59 of file clitreaty.c.

Referenced by handle_diplomacy_accept_treaty().

## ◆ client_recv_cancel_meeting()

void client_recv_cancel_meeting | ( | int | counterpart,
|  | int | initiated_from
| ) |  |

Handle server information about meeting cancellation.

Definition at line 83 of file clitreaty.c.

Referenced by handle_diplomacy_cancel_meeting().

## ◆ client_recv_create_clause()

void client_recv_create_clause | ( | int | counterpart,
|  | int | giver,
|  | enum clause_type | type,
|  | int | value
| ) |  |

Handle server information about addition of a clause

Definition at line 105 of file clitreaty.c.

Referenced by handle_diplomacy_create_clause().

## ◆ client_recv_remove_clause()

void client_recv_remove_clause | ( | int | counterpart,
|  | int | giver,
|  | enum clause_type | type,
|  | int | value
| ) |  |

Handle server information about removal of a clause

Definition at line 131 of file clitreaty.c.

Referenced by handle_diplomacy_remove_clause().